[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.Change

Suppresses the OnChange event when the initial value for the control is assigned.

## Declaration

Source position: maskedit.pp line 281

`protected procedure TCustomMaskEdit.Change; override;`

## Description

Change is an overridden procedure used to perform actions when the value for the control is changed. Change suppresses firing the OnChange event handler when the initial value for the control is assigned by using an internal member variable in the class instance. If the variable is not set, the inherited Change method is called to signal the OnChange event handler (and/or the OnChangeHandler event handler) for the control.

## See also

TCustomEdit.Change |  | Performs actions needed when the text in the control is changed.
TCustomEdit.OnChange |  | Event handler signalled when the text for the control is changed.